Execute a buy quote
curl --request POST \
--url https://api.collectpure.com/execution/v2/buy/quotes/{quoteId}/execute \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"expectedTotal": 4503599627370495,
"paymentMethod": "<string>",
"selectedOptionalIds": [
"<string>"
],
"promotionCode": "<string>",
"sweep": true
}
'import requests
url = "https://api.collectpure.com/execution/v2/buy/quotes/{quoteId}/execute"
payload = {
"expectedTotal": 4503599627370495,
"paymentMethod": "<string>",
"selectedOptionalIds": ["<string>"],
"promotionCode": "<string>",
"sweep": True
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
expectedTotal: 4503599627370495,
paymentMethod: '<string>',
selectedOptionalIds: ['<string>'],
promotionCode: '<string>',
sweep: true
})
};
fetch('https://api.collectpure.com/execution/v2/buy/quotes/{quoteId}/execute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"orderId": 123,
"items": [
{
"lineItemId": "<string>",
"productId": "<string>",
"variantId": "<string>",
"quantity": 123,
"price": 123,
"total": 123,
"success": true
}
],
"checkout": {
"id": "<string>",
"currency": "<string>",
"expiresAt": "<string>",
"lineItems": [
{
"id": "<string>",
"quantity": 123,
"price": 123,
"status": "<string>",
"disabled": true,
"error": "<string>",
"product": {
"sku": "<string>",
"title": "<string>"
},
"variant": {
"title": "<string>"
}
}
],
"fees": [
{
"id": "<string>",
"label": "<string>",
"amount": 123,
"rate": 123
}
],
"salesTax": 123,
"subtotal": 123,
"total": 123,
"availableCount": 123,
"unavailableCount": 123,
"allowCardPayments": true,
"allowAch": true
},
"counterpartyOrderIds": [
123
]
}
}Execution - Buy
Execute a buy quote
Execute a previously created buy quote. Validates pricing, charges payment, and creates orders.
Requires role: stytch_admin
Rate limit: 120 requests burst, 60 requests/minute sustained.
POST
/
execution
/
v2
/
buy
/
quotes
/
{quoteId}
/
execute
Execute a buy quote
Authorizations
API key for authentication
Path Parameters
The quote ID (cart ID) to execute
Body
application/json
The total from the quote response, in cents. The order is rejected if the current total exceeds this value.
Required range:
0 <= x <= 9007199254740991'wire_transfer' or a Stripe payment method ID (pm_... or ba_...)
Shipping address when not using vault fulfillment
Show child attributes
Show child attributes
Optional addon IDs to confirm
Promotion code to apply at checkout
When true, sweep remaining balance after a partial fill
Was this page helpful?
⌘I